> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new Tax Registration

> Create a new Tax Registration



## OpenAPI

````yaml taxes.2024-07-30.product.live POST /tax-registrations
openapi: 3.0.0
info:
  title: Taxes
  description: Create and administrate tax rates
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /tax-registrations:
    servers: []
    parameters: []
    post:
      tags:
        - Tax Registrations
      summary: Create a new Tax Registration
      description: Create a new Tax Registration
      operationId: postTaxRegistrations
      parameters:
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/CreateTaxRegistrationEndpointCreateTaxRegistrationRequestModel
              example:
                taxIdentifier: GB123456789
                customerId: 06457f78-85cd-4140-9972-67c6cd8f6071
                merchantId: 06457f78-85cd-4140-9972-67c6cd8f6071
                country: GB
                state: CA
            examples:
              CreateTaxRegistrationEndpointCreateTaxRegistrationRequestModel:
                summary: ''
                value:
                  taxIdentifier: GB123456789
                  customerId: 06457f78-85cd-4140-9972-67c6cd8f6071
                  merchantId: 06457f78-85cd-4140-9972-67c6cd8f6071
                  country: GB
                  state: CA
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateTaxRegistrationEndpointProductCreateTaxRegistrationResponseModel
                example:
                  id: 3271ca41-d538-404f-a15f-25856a37fb88
                  sequenceAccountId: a2e7ec72-e3b1-4349-8d8b-c1ad3cea03a1
                  taxIdentifier: GB123456789
                  customerId: 06457f78-85cd-4140-9972-67c6cd8f6071
                  merchantId: 06457f78-85cd-4140-9972-67c6cd8f6071
                  country: GB
                  state: CA
              examples:
                CreateTaxRegistrationEndpointProductCreateTaxRegistrationResponseModel:
                  summary: ''
                  value:
                    id: 3271ca41-d538-404f-a15f-25856a37fb88
                    sequenceAccountId: a2e7ec72-e3b1-4349-8d8b-c1ad3cea03a1
                    taxIdentifier: GB123456789
                    customerId: 06457f78-85cd-4140-9972-67c6cd8f6071
                    merchantId: 06457f78-85cd-4140-9972-67c6cd8f6071
                    country: GB
                    state: CA
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    CreateTaxRegistrationEndpointCreateTaxRegistrationRequestModel:
      required:
        - country
        - taxIdentifier
      type: object
      example:
        taxIdentifier: GB123456789
        customerId: 06457f78-85cd-4140-9972-67c6cd8f6071
        merchantId: 06457f78-85cd-4140-9972-67c6cd8f6071
        country: GB
        state: CA
      properties:
        taxIdentifier:
          type: string
          description: The unique identifier for this tax registration
          example: GB123456789
        customerId:
          type: string
          description: The customer that this tax registration belongs to
          example: 06457f78-85cd-4140-9972-67c6cd8f6071
        merchantId:
          type: string
          description: The merchant that this tax registration belongs to
          example: 06457f78-85cd-4140-9972-67c6cd8f6071
        country:
          $ref: '#/components/schemas/CountryCode'
          description: >-
            Country code ([ISO 3166-1
            alpha-2](https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes))
        state:
          $ref: '#/components/schemas/State'
          description: The registration state
    CreateTaxRegistrationEndpointProductCreateTaxRegistrationResponseModel:
      required:
        - country
        - id
        - sequenceAccountId
        - taxIdentifier
      type: object
      example:
        id: 3271ca41-d538-404f-a15f-25856a37fb88
        sequenceAccountId: a2e7ec72-e3b1-4349-8d8b-c1ad3cea03a1
        taxIdentifier: GB123456789
        customerId: 06457f78-85cd-4140-9972-67c6cd8f6071
        merchantId: 06457f78-85cd-4140-9972-67c6cd8f6071
        country: GB
        state: CA
      properties:
        id:
          type: string
          description: Tax registration ID
          example: 3271ca41-d538-404f-a15f-25856a37fb88
        sequenceAccountId:
          type: string
          description: Sequence account ID
          example: a2e7ec72-e3b1-4349-8d8b-c1ad3cea03a1
        taxIdentifier:
          type: string
          description: The unique identifier for this tax registration
          example: GB123456789
        customerId:
          type: string
          description: The customer that this tax registration belongs to
          example: 06457f78-85cd-4140-9972-67c6cd8f6071
        merchantId:
          type: string
          description: The merchant that this tax registration belongs to
          example: 06457f78-85cd-4140-9972-67c6cd8f6071
        country:
          $ref: '#/components/schemas/CountryCode'
          description: >-
            Country code ([ISO 3166-1
            alpha-2](https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes))
        state:
          $ref: '#/components/schemas/State'
          description: The registration state
    CountryCode:
      type: string
      example: GB
      enum:
        - AD
        - AE
        - AF
        - AG
        - AI
        - AL
        - AM
        - AO
        - AQ
        - AR
        - AS
        - AT
        - AU
        - AW
        - AX
        - AZ
        - BA
        - BB
        - BD
        - BE
        - BF
        - BG
        - BH
        - BI
        - BJ
        - BL
        - BM
        - BN
        - BO
        - BQ
        - BR
        - BS
        - BT
        - BV
        - BW
        - BY
        - BZ
        - CA
        - CC
        - CD
        - CF
        - CG
        - CH
        - CI
        - CK
        - CL
        - CM
        - CN
        - CO
        - CR
        - CU
        - CV
        - CW
        - CX
        - CY
        - CZ
        - DE
        - DJ
        - DK
        - DM
        - DO
        - DZ
        - EC
        - EE
        - EG
        - EH
        - ER
        - ES
        - ET
        - FI
        - FJ
        - FK
        - FM
        - FO
        - FR
        - GA
        - GB
        - GD
        - GE
        - GF
        - GG
        - GH
        - GI
        - GL
        - GM
        - GN
        - GP
        - GQ
        - GR
        - GS
        - GT
        - GU
        - GW
        - GY
        - HK
        - HM
        - HN
        - HR
        - HT
        - HU
        - ID
        - IE
        - IL
        - IM
        - IN
        - IO
        - IQ
        - IR
        - IS
        - IT
        - JE
        - JM
        - JO
        - JP
        - KE
        - KG
        - KH
        - KI
        - KM
        - KN
        - KP
        - KR
        - KW
        - KY
        - KZ
        - LA
        - LB
        - LC
        - LI
        - LK
        - LR
        - LS
        - LT
        - LU
        - LV
        - LY
        - MA
        - MC
        - MD
        - ME
        - MF
        - MG
        - MH
        - MK
        - ML
        - MM
        - MN
        - MO
        - MP
        - MQ
        - MR
        - MS
        - MT
        - MU
        - MV
        - MW
        - MX
        - MY
        - MZ
        - NA
        - NC
        - NE
        - NF
        - NG
        - NI
        - NL
        - 'NO'
        - NP
        - NR
        - NU
        - NZ
        - OM
        - PA
        - PE
        - PF
        - PG
        - PH
        - PK
        - PL
        - PM
        - PN
        - PR
        - PS
        - PT
        - PW
        - PY
        - QA
        - RE
        - RO
        - RS
        - RU
        - RW
        - SA
        - SB
        - SC
        - SD
        - SE
        - SG
        - SH
        - SI
        - SJ
        - SK
        - SL
        - SM
        - SN
        - SO
        - SR
        - SS
        - ST
        - SV
        - SX
        - SY
        - SZ
        - TC
        - TD
        - TF
        - TG
        - TH
        - TJ
        - TK
        - TL
        - TM
        - TN
        - TO
        - TR
        - TT
        - TV
        - TW
        - TZ
        - UA
        - UG
        - UM
        - US
        - UY
        - UZ
        - VA
        - VC
        - VE
        - VG
        - VI
        - VN
        - VU
        - WF
        - WS
        - XK
        - YE
        - YT
        - ZA
        - ZM
        - ZW
    State:
      type: string
      example: CA
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DC
        - DE
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
        - AB
        - BC
        - MB
        - NB
        - NL
        - NS
        - NT
        - NU
        - 'ON'
        - PE
        - QC
        - SK
        - YT

````